FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
Fl_Tiled_Image Class Reference

This class supports tiling of images over a specified area. More...

`#include <Fl_Tiled_Image.H>`

Inheritance diagram for Fl_Tiled_Image:

List of all members.

## Public Member Functions
virtual void | color_average (Fl_Color c, float i)
| The color_average() method averages the colors in the image with the FLTK color value c.
virtual Fl_Image * | copy (int W, int H)
| The copy() method creates a copy of the specified image.
Fl_Image * | copy ()
| The copy() method creates a copy of the specified image.
virtual void | desaturate ()
| The desaturate() method converts an image to grayscale.
virtual void | draw (int X, int Y, int W, int H, int cx, int cy)
| Draws the image with a bounding box.
void | draw (int X, int Y)
| Draws the image.
| Fl_Tiled_Image (Fl_Image *i, int W=0, int H=0)
| The constructors create a new tiled image containing the specified image.
Fl_Image * | image ()
| Gets The image that is shared.
virtual | ~Fl_Tiled_Image ()
| The destructor frees all memory and server resources that are used by the tiled image.
## Protected Attributes
int | alloc_image_
Fl_Image * | image_

## Detailed Description

This class supports tiling of images over a specified area.

The source (tile) image is not copied unless you call the color_average(), desaturate(), or inactive() methods.

## Constructor & Destructor Documentation

Fl_Tiled_Image::Fl_Tiled_Image | ( | Fl_Image * | i,
|  | int | W = `0`,
|  | int | H = `0`
| ) |  |

The constructors create a new tiled image containing the specified image.

Use a width and height of 0 to tile the whole window/widget.

## Member Function Documentation

void Fl_Tiled_Image::color_average | ( | Fl_Color | c,
|  | float | i
| ) |  | `[virtual]`

The color_average() method averages the colors in the image with the FLTK color value c.

The i argument specifies the amount of the original image to combine with the color, so a value of 1.0 results in no color blend, and a value of 0.0 results in a constant image of the specified color. The original image data is not altered by this method.

Reimplemented from Fl_Image.

Fl_Image * Fl_Tiled_Image::copy | ( | int | W,
|  | int | H
| ) |  | `[virtual]`

The copy() method creates a copy of the specified image.

If the width and height are provided, the image is resized to the specified size. The image should be deleted (or in the case of Fl_Shared_Image, released) when you are done with it.

Reimplemented from Fl_Image.

Fl_Image* Fl_Tiled_Image::copy | ( |  | ) | `[inline]`

The copy() method creates a copy of the specified image.

If the width and height are provided, the image is resized to the specified size. The image should be deleted (or in the case of Fl_Shared_Image, released) when you are done with it.

Reimplemented from Fl_Image.

void Fl_Tiled_Image::desaturate | ( |  | ) | `[virtual]`

The desaturate() method converts an image to grayscale.

If the image contains an alpha channel (depth = 4), the alpha channel is preserved. This method does not alter the original image data.

Reimplemented from Fl_Image.

void Fl_Tiled_Image::draw | ( | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | int | cx,
|  | int | cy
| ) |  | `[virtual]`

Draws the image with a bounding box.

This form specifies a bounding box for the image, with the origin (upper-lefthand corner) of the image offset by the cx and cy arguments.

Reimplemented from Fl_Image.

void Fl_Tiled_Image::draw | ( | int | X,
|  | int | Y
| ) |  | `[inline]`

Draws the image.

This form specifies the upper-lefthand corner of the image.

Reimplemented from Fl_Image.

The documentation for this class was generated from the following files:

- Fl_Tiled_Image.H
- Fl_Tiled_Image.cxx